Subject: bug#43226: 28.0.50; Running Tramp tests on MS-Windows leaves zombie processes on the remote

From: Eli Zaretskii <[email-masked]>
Date: Sat, 05 Sep 2020 22:25:36 +0300

> From: Michael Albinus <[email-masked]>
> Date: Sat, 05 Sep 2020 21:16:25 +0200
> 
> > Indeed, it's strange that the result should depend on the local
> > system, since the commands sent to the remote are the same in boths
> > cases, I'd imagine.
> 
> Maybe it has nothing to do with the local OS but with the local
> program? On GNU/Linux we use ssh, on MS Windows we use plink.

Maybe so, but what do we expect from ssh/plink which should happen
when the connection closes, that might not happen with plink?

E.g., if I run 'plink ... "cat foo"', the processes created on the
remote disappear immediately as soon as 'cat' finishes its job.  Same
if I log in and type Ctrl-D, or just close the window where plink runs
interactively.  What is different about the connections made by Tramp
or the test suite?